-- English/Default localisation

-- The following items will cause the addon toerrors if not translated into local language

-- Shaman weaponbuff names (e.g. Rockbiter Weapon) 
-- do NOT match ENCHANT_APPLIED event spellnames (e.g. Rockbiter 2)
-- We need a function to turn the spellname into the weaponbuffname
function OW_NS.tenchtospell(buff)
  return string.gsub(buff," [0-9]"," Weapon")
end

-- Rogue
-- Common part of every Rogue Poisons name (as appears in the combat log when you apply it)
OW_NS.poison = "POISON"; 

-- Item Types
-- Used for checking if a Paladin is using a 2H 
OW_NS.Twohand = "Two-Hand"
-- Used for checking if a Shaman is using a Shield (and thus does NOT want to Weaponbuff it!) 
OW_NS.Shields = "Shields"


-- The following items are cosmetic only

-- Temporary Enchants
-- These are purely for the reminder - e.g. Fred needs Deadly Poison VII "Mainhand"
-- Note: They're used in string.gsub so no ()s or[]s etc.
OW_NS.mh = " Mainhand";
OW_NS.oh = " Offhand";

-- Buff reminders
-- Format player and spell into the reminder (English: (player needs spell")
function OW_NS.needs(player,spell)
  return (player or "Unknown Player") .. " needs " .. spell;
end

-- Deferring Buffs
-- Part of the errrmessage which appears in the ErrorFrame when a more powerful spell already exists on the target
OW_NS.morepowerful = "MORE POWERFUL SPELL";

OW_NS.sresmsg = "O-Wheely! Party/Raid Situational Buffs Cleared!"

OW_NS.czoom = "Disable RightMouseButton Camera Zoom?"

OW_NS.mwm = "MouseWheel Macros"
OW_NS.mwupre = "MouseWheelUP - Presets"
OW_NS.mwdnpre = "MouseWheelDOWN - Presets"
OW_NS.donothing = "Do Nothing"
OW_NS.example = "Example"

OW_NS.abouttexttop = "<HTML><BODY>\
<H1>|cff00ff00O-Wheely! (1.02)|r</H1>\
<H2>Created by &lt;Damage Inc&gt; of (EU)Draenor</H2>\
<P>EMail: damageinc@theedgeofthevoid.com</P>\
<BR/>\
<H1>|cffffff00Roll your mousewheel to cast...</H1>"

OW_NS.abouttextsitu = "<BR/><H1>|cff00ff00Situational Buffs!|r</H1>"
OW_NS.abouttextsitu1 = "<P>|cffffff00When selfcast, will be recast on expiry until you cast/cancel immediately (even after logout)|r</P>"
OW_NS.abouttextsitu2 = "<P>|cffffff00When cast on party/raid, remembered until you leave party/raid|r</P>"

OW_NS.abouttexttypes = {"|cff00ff00Self Buffs!|r","|cff00ff00Group Buffs!|r"}
OW_NS.abouttextbuffs = {}
OW_NS.abouttextbuffs["MAGE"] = {}
OW_NS.abouttextbuffs["MAGE"][1] = "<P>" .. OW_NS.ai .. "</P><P>Last Used " .. OW_NS.icearmor .. "," .. OW_NS.frostarmor .. "," .. OW_NS.magearmor .. "," .. OW_NS.moltenarmor .. "</P>"
OW_NS.abouttextbuffs["MAGE"][2] = "<P>|cff00ff00Mana-using Classes:|r</P><P>" .. OW_NS.ab .. " (3+ players) or " .. OW_NS.ai .. "</P>"
OW_NS.abouttextbuffs["DEATHKNIGHT"] = {}
OW_NS.abouttextbuffs["PALADIN"] = {}
OW_NS.abouttextbuffs["PALADIN"][1] = "<P>Last Used " .. OW_NS.bom .. "," .. OW_NS.bow .. "," .. OW_NS.bok .. "," .. OW_NS.bos .. "</P>\
<P>(Mounted) " .. OW_NS.crusaura .. ", (UnMounted) Previous Aura</P>"
OW_NS.abouttextbuffs["PALADIN"][2] = "<P>|cffffff00If a player already has a Blessing, the next will be applied|r</P>\
<P>|cffffff00Greater Blessings used where 4 or more players need</P>\
<P>|cff00ff00Warriors, Rogues, Death Knights|r:</P><P> " .. OW_NS.bom .. "," .. OW_NS.bok .. "</P>\
<P>|cff00ff00Hunters|r:</P><P> " .. OW_NS.bom .. "(+Pet)," .. OW_NS.bok .. "," .. OW_NS.bow .. "</P>\
<P>|cff00ff00Mages, Priests|r:</P><P> " .. OW_NS.bow .. "," .. OW_NS.bok .. "</P>\
<P>|cff00ff00Warlocks|r:</P><P> " .. OW_NS.bok .. "</P>\
<P>|cff00ff00Resto Shamans, Resto Druids (30+ pts)|r:</P><P> " .. OW_NS.bow .. "," .. OW_NS.bok .. "," .. OW_NS.bom .. "</P>\
<P>|cff00ff00Feral Druids, Enhancement Shamans (30+ pts)|r:</P><P> " .. OW_NS.bom .. "," .. OW_NS.bok .. "," .. OW_NS.bow .. "</P>\
<P>|cff00ff00All other Shamans, Druids and Paladins|r:</P><P> " .. OW_NS.bok .. "," .. OW_NS.bow .. "," ..OW_NS.bom .. "</P>"
OW_NS.abouttextbuffs["SHAMAN"] = {}
OW_NS.abouttextbuffs["SHAMAN"][1] = "<P>Last Used Weapon Buff(s)</P>"
OW_NS.abouttextbuffs["WARLOCK"] = {}
OW_NS.abouttextbuffs["WARLOCK"][1] = "<P>Last Used " .. OW_NS.demonskin .. "," .. OW_NS.demonarmor .. "," .. OW_NS.felarmor .. "</P>"
OW_NS.abouttextbuffs["ROGUE"] = {}
OW_NS.abouttextbuffs["ROGUE"][1] = "<P>Last Used Poisons</P>"
OW_NS.abouttextbuffs["HUNTER"] = {}
OW_NS.abouttextbuffs["HUNTER"][1] = "<P>" .. OW_NS.tsa .. "</P>/<P>Toggle Last Used Speed/Combat Aspects</P>"
OW_NS.abouttextbuffs["PRIEST"] = {}
OW_NS.abouttextbuffs["PRIEST"][1] = "<P>" .. OW_NS.pwf .. "," .. OW_NS.divinespirit .. "</P>"
OW_NS.abouttextbuffs["PRIEST"][2] = "<P>|cff00ff00All Classes:|r</P><P>" .. OW_NS.pof .. " (3+ players) or " .. OW_NS.pwf .. "</P>\
<P>|cff00ff00If Priest has Shadow Protection:|r</P><P>" .. OW_NS.prayersprot .. " (3+ players) or " .. OW_NS.sprot .. "</P>\
<P>|cff00ff00Paladins, Druids, Priests, Shamans, Mages|r:</P><P>" .. OW_NS.prayerspirit .. " (3+ players) or " .. OW_NS.divinespirit .. "</P>"
OW_NS.abouttextbuffs["DRUID"] = {}
OW_NS.abouttextbuffs["DRUID"][1] = "<P>" .. OW_NS.motw .. "," .. OW_NS.omen .. "</P>"
OW_NS.abouttextbuffs["DRUID"][2] = "<P>|cff00ff00All Classes:|r</P><P>" .. OW_NS.gotw .. " (3+ players) or " .. OW_NS.motw .. "</P>"

OW_NS.abouttextend = "<BR/><H1>|cff00ff00Macros!|r</H1>\
<P>|cffffff00When no buffs are required, or in-combat, macros can be assigned to MouseWheelUp/Down|r</P>\
<BR/><P><A HREF='MACROS'>|cff009999Click here to edit Macros|r</A></P>\
</BODY></HTML>"

-- Default Macros
OW_NS.macros = {
  ["ALL"] = {
    [OW_NS.example] = "#show\n#showtooltip\n/cast...",
  },
  ["PRIEST"] = {
    [OW_NS.dispelmagic] = "/stopcasting\n/cast [target=mouseover,exists,nomounted] [exists,nomounted] " .. OW_NS.dispelmagic,
  },
  ["MAGE"] = {
    [OW_NS.counterspell] = "/stopcasting [combat]\n/cast [target=mouseover,exists,harm,combat,nomounted] [harm,combat,nomounted] " .. OW_NS.counterspell, 
    [OW_NS.spellsteal] = "/stopcasting [combat]\n/cast [target=mouseover,exists,harm,combat,nomounted] [harm,combat,nomounted] " .. OW_NS.spellsteal,
   },
   ["SHAMAN"] = {
     [OW_NS.earthshock] = "/stopcasting [combat]\n/cast [form:0,target=mouseover,exists,harm,combat,nomounted] [form:0,harm,combat,nomounted] " .. OW_NS.earthshock,
     [OW_NS.purge] = "/stopcasting [combat]\n/cast [form:0,target=mouseover,exists,harm,combat,nomounted] [form:0,harm,combat,nomounted] " .. OW_NS.purge,
  },
  ["DRUID"] = {
    [OW_NS.curepoison] = "/stopcasting\n/cast [form:0,target=mouseover,exists,help,nomounted] [form:0,help,nomounted] [form:0,target=player,nomounted] " .. OW_NS.curepoison,
    [OW_NS.removecurse] = "/stopcasting\n/cast [form:0,target=mouseover,exists,help,nomounted] [form:0,help,nomounted] [form:0,target=player,nomounted] " .. OW_NS.removecurse,
  },
  ["PALADIN"] = {
    [OW_NS.cleanse] = "/stopcasting\n/cast [target=mouseover,exists,help,nomounted] [help,nomounted] " .. OW_NS.cleanse,
    [OW_NS.purify] = "/stopcasting\n/cast [target=mouseover,exists,help,nomounted] [help,nomounted] " .. OW_NS.purify,
  },
}
